import * as z from 'zod';
export const PatientDocumentUpsertResultSchema = z.object({
  id: z.number().int(),
  patientId: z.number().int(),
  filename: z.string(),
  originalName: z.string(),
  mimeType: z.string(),
  fileSize: z.bigint(),
  filePath: z.string(),
  uploadedAt: z.date(),
  updatedAt: z.date(),
  patient: z.unknown()
});